%define	name	gl-117
%define	version	1.3.2
%define	rel	1
%define	release	%mkrel %{rel}
%define	Summary	Action flight simulator

Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.heptargon.de/
Source0:	http://prdownloads.sourceforge.net/gl-117/%{name}-%{version}-src.tar.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
License:	GPL
Group:		Games/Arcade
Summary:	%{Summary}
BuildRequires:	MesaGLU-devel SDL_mixer-devel XFree86-devel nas-devel
BuildRequires:	smpeg-devel libogg-devel Mesa-common-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GL-117 is an action flight simulator for Linux/Unix and MSWindows.
Enter the Eagle Squadron and succeed in several challanging missions
leading though different landscapes. Five predefined levels of video
quality and an amount of viewing ranges let you perfectly adjust the
game to the performance of your system. Joystick, mouse,
sound effects, music... 

%prep
%setup -q -n %{name}-%{version}-src

%build
export LIBS="-L%{_prefix}/X11R6/%{_lib} -L%{_libdir}"
%configure2_5x	--bindir=%{_gamesbindir} \
		--datadir=%{_gamesdatadir}
%make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{makeinstall_std}

%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="More Applications/Games/Arcade" \
		title="GL-117"\
		longtitle="%{Summary}"
EOF

%{__install} -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%{__install} -m644 doc/%{name}.6 -D $RPM_BUILD_ROOT%{_mandir}/man6/%{name}.6

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README FAQ
%{_mandir}/man6/%{name}.6*
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%defattr(755,root,root,755)
%{_gamesbindir}/*

%changelog
* Thu May 05 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.3.2-1mdk
- 1.3.2
- lib64 fix
- %%mkrel

* Tue Dec 14 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3.1-1mdk
- 1.3.1
- drop P0 (fixed upstream)
- update url

* Thu Aug 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.3-2mdk
- fix url

* Mon Jun 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.3-1mdk
- 1.3

* Thu Feb 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2-1mdk
- 1.2

* Sun Dec 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.1-1mdk
- 1.1
- fix buildrequires (lib64..)
- don't bzip2 icons in src.rpm

* Thu Oct 30 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.1-2mdk
- 1.0.1-2 (bugfix release)

* Thu Oct 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.0.1-1mdk
- 1.0.1

* Sun Aug 24 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0-1mdk
- 1.0

* Sun Jun 22 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.9-1mdk
- 0.9

* Fri Jun 13 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.8.8-2mdk
- fix macro for summary so we don't get the debug package's summary as longtitle in menu item

* Tue Apr 29 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.8.8-1mdk
- 0.8.8
- added FAQ
- minor fixes

* Fri Apr 25 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.8.5-4mdk
- fixed buildrequires
- remove non-existing configure options

* Wed Apr 16 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.8.5-3mdk
- removed identical readme.txt file
- added missing buildrequires

* Wed Apr 16 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.8.5-2mdk
- clean out some crap
- added man page

* Sat Apr 12 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.8.5-1mdk
- initial mdk release
